// This template is for creating a Strategy that accesses MBidAskOscillator

/*
// Delta Types
DeltaTypeEnum.MBoxPrecisionDelta
DeltaTypeEnum.BidAsk
DeltaTypeEnum.UpDownTick
DeltaTypeEnum.Psuedo
*/

namespace NinjaTrader.NinjaScript.Strategies
{
	public class MApiMBidAskOscillatorStrategy : Strategy
	{
		Indicators.MBoxWaveXE.MBidAskOscillator myBidAskOscillator;

		protected override void OnStateChange()
		{
			// Instantiate myBidAskOscillator with period 5 using MBoxPrecisionDelta
			initMBidAskOscillator(ref myBidAskOscillator, 5, DeltaTypeEnum.MBoxPrecisionDelta);
			
			if (State == State.SetDefaults)
			{
				Calculate = Calculate.OnEachTick;
			}
		}

		protected override void OnBarUpdate()
		{
			// Only process main data series
			if (BarsInProgress != 0) return;
			
			// Sync with our indicator instance
			myBidAskOscillator.Update();
			
			// Output Bid & Ask line values at current index
			Print("Bid Line: " + myBidAskOscillator.getBidLine(0));
			Print("Ask Line: " + myBidAskOscillator.getAskLine(0));
		}
	}
}
