// This template is for creating a Strategy that accesses MCumulativeDelta

/*
// Delta Types
DeltaTypeEnum.MBoxPrecisionDelta
DeltaTypeEnum.BidAsk
DeltaTypeEnum.UpDownTick
DeltaTypeEnum.Psuedo

// Display Types
Display.Volume
Display.DeltaVolume
Display.Length
Display.Width
*/



namespace NinjaTrader.NinjaScript.Strategies
{
	public class MApiMBoxHistogramStrategy : Strategy
	{
		Indicators.MBoxWaveXE.MBoxHistogram myHist;
		
		protected override void OnStateChange()
		{
			// Instantiate myHist show Delta Volume using MBox Precision Delta
			initMBoxHistogram(ref myHist, Display.DeltaVolume, DeltaTypeEnum.MBoxPrecisionDelta);
			
			if (State == State.SetDefaults)
			{
				Calculate = Calculate.OnEachTick;
			}
		}

		protected override void OnBarUpdate()
		{
			// Only process main data series
			if (BarsInProgress != 0) return;
			
			// Sync with our indicator instance
			myHist.Update();

			Print("MApiMBoxHistogramStrategy: " + myHist.getHist(0));
		}
	}
}
