// This template is for creating a Strategy that accesses XPace

namespace NinjaTrader.NinjaScript.Strategies
{
	public class XApiXKontrolStrategy : Strategy
	{
		Indicators.MBoxWaveXE.XKontrol xkontrol;

		protected override void OnStateChange()
		{
			// Instantiate xkontrol
			initXKontrol(ref xkontrol);
			
			if (State == State.SetDefaults)
				Calculate = Calculate.OnEachTick;
		}

		protected override void OnBarUpdate()
		{
			// Only process main data series
			if (BarsInProgress != 0) return;

			// Sync
			xkontrol.Update();
			
			double kontrol = xkontrol.XKontrolSeries[0];
			
			if (kontrol != 0)
			{
				// Strength of the Control (Initial, Strong, or Total)
				string soc = "";
				
					 if (kontrol == 1) soc = "Offers Initial Control";
				else if (kontrol == 2) soc = "Offers Strong Control";
				else if (kontrol == 3) soc = "Offers Total Control";
				
				else if (kontrol == -1) soc = "Bids Initial Control";
				else if (kontrol == -2) soc = "Bids Strong Control";
				else if (kontrol == -3) soc = "Bids Total Control";
				
				Print("XApiXKontrolStrategy: XKontrol = " + kontrol + ", SOC = " + soc);
			}
		}
	}
}
